/*
 * bootstrap-tagsinput v0.8.0
 * 
 */

.bootstrap-tagsinput {
   background-color: #fff;
   border: 1px solid #ccc;
   box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
   display: flex;
   flex-wrap: wrap;
   padding: 12px 14px 0px;
   color: #555;
   vertical-align: middle;
   border-radius: 4px;
   width: 100%;
   line-height: 22px;
   cursor: text;
}

.bootstrap-tagsinput input {
   border: none;
   box-shadow: none;
   outline: none;
   background-color: transparent;
   padding: 0 6px;
   margin: 0;
   width: auto;
   min-width: 100px;
   max-width: inherit;
}

.bootstrap-tagsinput.form-control input::-moz-placeholder {
   color: #777;
   opacity: 1;
}

.bootstrap-tagsinput.form-control input:-ms-input-placeholder {
   color: #777;
}

.bootstrap-tagsinput.form-control input::-webkit-input-placeholder {
   color: #777;
}

.bootstrap-tagsinput input:focus {
   border: none;
   box-shadow: none;
}

.ui-widget.ui-widget-content {
   /* min-width: 300px; */
   word-break: keep-all;
   border: 1px solid #c5c5c5;
   min-width: 100%;
   left: 0!important;
}

.bootstrap-tagsinput .badge {
   margin: 2px 0;
   padding: 0px 8px;
   font: normal normal normal 16px/32px Hiragino Sans;
   font-weight: 400;
   background: #F5F5F5 0% 0% no-repeat padding-box;
   border-radius: 4px;
   margin: -3px 12px 10px 0;
   height: 28px;
   display: flex;
   align-items: center;
}

.bootstrap-tagsinput .badge [data-role="remove"] {
   margin-left: 8px;
   cursor: pointer;
}

.bootstrap-tagsinput .badge [data-role="remove"]:after {
   content: "×";
   padding: 0px 4px;
   background-color: rgba(0, 0, 0, 0.1);
   border-radius: 50%;
   font-size: 13px
}

.bootstrap-tagsinput .badge [data-role="remove"]:hover:after {
   background-color: rgba(0, 0, 0, 0.62);
}

.bootstrap-tagsinput .badge [data-role="remove"]:hover:active {
   box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
}

.tt-menu {
   position: absolute;
   top: 100%;
   left: 0;
   z-index: 1000;
   display: none;
   float: left;
   min-width: 160px;
   padding: 5px 0;
   margin: 2px 0 0;
   list-style: none;
   font-size: 14px;
   background-color: #fff;
   border: 1px solid #ccc;
   border: 1px solid rgba(0, 0, 0, 0.15);
   border-radius: 4px;
   -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
   box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
   background-clip: padding-box;
   cursor: pointer;
}

.tt-suggestion {
   display: block;
   padding: 3px 20px;
   clear: both;
   font-weight: normal;
   line-height: 1.428571429;
   color: #333;
   white-space: nowrap;
}

.tt-suggestion:hover, .tt-suggestion:focus {
   color: #fff;
   text-decoration: none;
   outline: 0;
   background-color: #428bca;
}